body {
    font-family: Arial, sans-serif;
    background-color: #e5e5e5;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.header-icon {
    width: auto;
    height: 15px;
    margin-left: 10px;
}

.header-title {
    margin-left: 10px;
    font-size: 14px;
}

.top-link-banner {
    text-align: right; 
    padding: 10px;
    margin-bottom: 10px;
}

.user-info {
    display: flex;
    align-items: center; /* 垂直方向の中央揃え */
    gap: 10px; /* アイコンとテキストの間のスペース */
}

.user-icon {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    margin-right: 10px;
    float: inline-start;
}

.user-name {
    font-size: 12px;
    color: #555;
    margin-bottom: 5px;
    padding: 5px;
}

.topchat-link {
    color: #337AB7;
    margin-left: 10px; 
    font-size: 12px;
}

.chat-container {
    width: 100%;
    height: 100%;
    background-color: white;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    overflow: auto;
}
/* タブレット向けスタイル */
@media (min-width: 600px) and (max-width: 1024px) {
    .chat-container {
        width: 100%;
        height: 100%;
    }
}
/* PC向けスタイル */
@media (min-width: 1025px) {
    .chat-container {
        width: 360px;
        height: 660px;
    }
}
.chat-header {
    background-color: #fff;
    color: black;
    padding: 12px 8px;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    border-bottom: 3px solid #FFF000;
}

.chat-box {
    flex: 1;
    padding: 10px;
    overflow-y: auto;
    /* background-color: #f7f7f7; */
}

.chat-message {
    margin-bottom: 10px;
    align-items: center;
}

.chat-message.user {
    justify-content: flex-end;
    display: flex;
}

.chat-message.other {
    justify-content: flex-start;
}

.chat-message.bot {
    display: flex;
    align-items: flex-end;
}

.chat-message.bot .message-text{
    border-bottom-left-radius: 0px;
}

.message-text {
    max-width: 70%;
    padding: 10px;
    border-radius: 15px;
    font-size: 14px;
    line-height: 1.5;
    display: inline-block;
    background: rgba(0, 0, 0, 0.04);
    white-space: pre-wrap;
    word-wrap: break-word;
}

.chat-message.user .message-text {
    background-color: #FFF000;
    color: #333;
    border-bottom-right-radius: 0;
}

.chat-message.other .message-text {
    background-color: #ffffff;
    color: #333;
    border-bottom-left-radius: 0;
    border: 1px solid #ddd;
}

.chat-input-container {
    display: flex;
    padding: 6px;
    /* background-color: #f0f0f0; */
    border-top: 1px solid #ddd;
    border: 1px solid #ddd;
    border-radius: 20px;
    margin: 10px;
}

.chat-input-container.disabled {
    background-color: light-dark(rgba(239, 239, 239, 0.3), rgba(59, 59, 59, 0.3));
}

.chat-input-container.disabled .send-button:disabled {
    background-color: light-dark(rgba(239, 239, 239, 0.3), rgba(59, 59, 59, 0.3));
}

.chat-input {
    flex: 1;
    min-height: calc(1em + 14px); /* 1 row + padding */
    max-height: calc(3em + 28px); /* 3 rows + padding */
    outline: none;
    font-size: 14px;
    border: none;
    resize: none;
    overflow-y: hidden !important;
    box-sizing: border-box;
    padding-top: 6px;
}

.send-button {
    background-color: #334155;
    color: white;
    border: none;
    margin-left: 10px;
    cursor: pointer;
    font-size: 14px;
    background-image: none;
    width: 32px;
    height: 32px;
    display: hidden;
}

.send-button:hover {
    background-color: #3b5165;
}

.product-item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    padding: 5px;
    background-color: #f9f9f9;
    border-radius: 5px;
    transition: transform 0.2s ease-in-out;
    border: 1px solid #ddd;
    margin: 10px;
}

.product-item:hover {
    transform: scale(1.02);
    background-color: #f0f0f0;
}

.product-item img {
    width: 100px;
    height: 70px;
    border-radius: 5px;
    margin-right: 10px;
}

.product-item p {
    margin: 0;
    font-size: 14px;
    color: #333;
}

.product-item a {
    text-decoration: none;
    color: inherit;
    display: flex;
    align-items: center;
}

/* ローディング画像 */
  .loader {
    margin-bottom: 15px;
    /* width: 40px;
    margin-left: 5px; */
  }
  .loader span{
    width:16px;
    height:16px;
    border-radius:50%;
    display:inline-block;
    position:absolute;
    margin-left:-10px;
    margin-bottom:-10px;
    -webkit-animation:3s infinite linear;
    -moz-animation:3s infinite linear;
    -o-animation:3s infinite linear;
    
  }
  
  .loader span:nth-child(2){
    background:#E84C3D;
    -webkit-animation:kiri 1.2s infinite linear;
    -moz-animation:kiri 1.2s infinite linear;
    -o-animation:kiri 1.2s infinite linear;
    
  }
  .loader span:nth-child(3){
    background:#F1C40F;
    z-index:100;
  }
  .loader span:nth-child(4){
    background:#2FCC71;
    -webkit-animation:kanan 1.2s infinite linear;
    -moz-animation:kanan 1.2s infinite linear;
    -o-animation:kanan 1.2s infinite linear;
  }
  
  
  @-webkit-keyframes kanan {
      0% {-webkit-transform:translateX(20px);
      }
     
    50%{-webkit-transform:translateX(-20px);
    }
    
    100%{-webkit-transform:translateX(20px);
    z-index:200;
    }
  }
  @-moz-keyframes kanan {
      0% {-moz-transform:translateX(20px);
      }
     
    50%{-moz-transform:translateX(-20px);
    }
    
    100%{-moz-transform:translateX(20px);
    z-index:200;
    }
  }
  @-o-keyframes kanan {
      0% {-o-transform:translateX(20px);
      }
     
    50%{-o-transform:translateX(-20px);
    }
    
    100%{-o-transform:translateX(20px);
    z-index:200;
    }
  }
  
  @-webkit-keyframes kiri {
       0% {-webkit-transform:translateX(-20px);
    z-index:200;
      }
    50%{-webkit-transform:translateX(20px);
    }
    100%{-webkit-transform:translateX(-20px);
    }
  }
  
  @-moz-keyframes kiri {
       0% {-moz-transform:translateX(-20px);
    z-index:200;
      }
    50%{-moz-transform:translateX(20px);
    }
    100%{-moz-transform:translateX(-20px);
    }
  }
  @-o-keyframes kiri {
       0% {-o-transform:translateX(-20px);
    z-index:200;
      }
    50%{-o-transform:translateX(20px);
    }
    100%{-o-transform:translateX(-20px);
    }
  }

  /* 免責事項ポップアップ */
.popup-container {
    background: rgba(128, 128, 128, 0.5);
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    position: absolute;
    overflow-y: hidden;
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* PC向けスタイル */
@media (min-width: 1025px) {
    .popup-container {
        width: 360px;
        height: 660px;
    }
}

.popup-content {
    background: white;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    overflow-y: hidden;
    display: flex;
    flex-direction: column;
}

.popup-header {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: center;
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
    padding: 20px 20px 0 20px;
}

.popup-close-button {
    background: url('./closeButton.png') no-repeat center;
    background-size: contain;
    width: 24px;
    height: 24px;
    border: none;
    cursor: pointer;
}

.popup-body {
    font-size: 14px;
    line-height: 1.6;
    color: #333;
    overflow-y: auto;
    flex-grow: 1;
    padding: 20px;
    padding-top: 0;
}

.popup-body p {
    margin: 10px 0;
}

.popup-footer {
    text-align: center;
    margin-top: 20px;
}

.close-button {
    background-color: #2563eb;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 14px;
}

.close-button:hover {
    background-color: #1d4ed8;
}

.warning-area {
    background-color: #f0f0f0;
    text-align: center;
    padding-bottom: 5px;
}
.warning-text {
    font-size: 12px;
    color: #555;
}

.footer-area {
    background-color: #f0f0f0;
    text-align: center;
    padding-bottom: 5px;
}
.footer-text {
    font-size: 12px;
    color: #555;
}

.suggestion-bubble {
    border-radius: 8px;
    margin-right: 8px;
    margin-bottom: 8px;
    background-color: #dcf8c6;
    color: #333;
}

/* メニューのアコーディオン */
/* .menu-accordion {
    margin: 10px 0;
    cursor: pointer;
} */

.menu-header {
    transition: background-color 0.3s;
    cursor: pointer;
}

.menu-header:hover {
    background-color: #e0e0e0;
}

.menu-accordion-body {
    display: none;
}

.menu-buttons {
    display: flex;;
    flex-direction: column;
    gap: 8px;
    padding: 10px 0;
    background: none;
    max-width: 83%;
}

.menu-buttons.near-full-width {
    width: 83%;
}

.menu-btn {
    padding: 7px 10px;
    border: 1px solid #0d100d;
    border-radius: 16px;
    background-color: white;
    color: #0d100d;
    cursor: pointer;
    transition: background-color 0.3s;
}

.accordion-body-3 .menu-btn {
    padding: 7px 12px;
    border-radius: 19px;
}

.menu-btn:hover {
    background-color: #3a3d3a;
    color: white;
}

.menu-button-question {
    display: flex; 
    align-items: center;
    text-align: left;
}

.question-mark-icon {
    width: 20px;
    height: 20px;
    margin-right: 7px;
}

.question-mark-button {
    width: 26px;
    height: 26px;
    margin-right: 5px;
    cursor: pointer;
}

.menu-buttons-wrapper {
    display: inline-table;
    background-color: #fff;
}

.menu-buttons-wrapper button {
    margin-left: 5px;
    margin-bottom: 5px;
}

/* 商品一覧 */
.product-card {
    min-width: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    border-radius: 8px;
}

.product-image {
    width: 100%;
    margin-bottom: 10px;
}

.product-image img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 4px;
}

.product-card p {
    margin: 0 0 7px 0;
    font-size: 14px;
    text-align: left;
    width: 100%;
}

.product-card .product-name {
    font-weight: bold;
}

.product-card .product-specifications {
    font-weight: normal;
    font-size: 12px;
    color: grey;
}

.product-card .actions {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
    align-items: center;
    padding: 0 20px;
}

.product-card a {
    text-decoration: none;
}

.product-card button {
    padding: 8px 16px;
    border-radius: 16px;
    cursor: pointer;
    flex-grow: 1;
    width: 100%;
}

.buy-button {
    margin: 0 5px; 
    background-color: #FFF000; 
    color: #000; 
    border: none; 
    border-radius: 8px; 
    padding: 12px 10px; 
    font-weight: bold; 
    display: flex; 
    align-items: center; 
    justify-content: space-between; 
    width: calc(100% - 10px);
    cursor: pointer;
}

.buy-button .left-text {
    flex-grow: 1;
}

.buy-button .right-icon {
    background: url('./right_icon.png') no-repeat center; 
    background-size: contain; 
    width: 15px; height: 15px; 
    display: inline-block;
}

.product-card .detail-button {
    background-color: white;
    color: #000;
    border: 1px solid #000;
}

/* align message */
.message-container {
    margin-bottom: 10px;
    display: flex;
    align-items: flex-start; /* Align items to the bottom */
}

.message-icon {
    flex-shrink: 0; /* Prevent icon from shrinking */
    display: flex;
    align-items: flex-end; /* Align the icon to the bottom */
}

.user-icon {
    width: 40px; /* Adjust icon size */
    height: 40px;
}

.user-icon.placeholder {
    height: 0;
}

.message-text {
    text-align: left; 
}

.product-image-container img {
    width: 100%;
}

.product-info .title {
    font-size: 16px;
    font-weight: bold;
}

/* お困りですか？ */
.problem-row {
    display: flex;
    margin-bottom: 10px;
}

.disclaimer-content-text {
    display: block;
    margin-left: 15px;
    padding-bottom: 6px;
}